clang-tools 10.0.0

Namespaces | Functions
FileDistance.cpp File Reference
`#include "FileDistance.h"`
`#include "Logger.h"`
`#include "llvm/ADT/STLExtras.h"`
`#include <queue>`
Include dependency graph for FileDistance.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
static llvm::SmallString< 128 > | clang::clangd::canonicalize (llvm::StringRef Path)
static std::pair< std::string, int > | clang::clangd::scopeToPath (llvm::StringRef Scope)
static FileDistance | clang::clangd::createScopeFileDistance (llvm::ArrayRef< std::string > QueryScopes)